/**
*updateserver App
* Implementing an App to manage application App.
*/
var ActiveDirectoryApp = ActiveDirectoryApp || {};  //Define Update Server App namespace.
/**
*Constructor UNAS App
*/
ActiveDirectoryApp.App = function () {
    this.id = 'Active Directory';
    this.name = 'Active Directory';
    this.version = '6.0.12';
    this.active = false;
    this.menuIcon = '/apps/activedirectory/images/logo.png?v=6.0.12&';
    this.shortcutIcon = '/apps/activedirectory/images/logo.png?v=6.0.12&';
    //this.entryHelpUrl = '/apps/activedirectory/updateserver_help.html?v=6.0.12&';
    this.entryUrl = '/apps/activedirectory/main.html';
    var self = this;
    this.ActiveDirectoryAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('Active Directory')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'Active Directory',
            title: UNAS._('Active Directory'),
			icon: '/apps/activedirectory/images/logo_small.png?v=6.0.12&',
            width: 700,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: true,
            loadMethod: 'xhr',
            contentURL: '/apps/activedirectory/main.html?v=6.0.12&',
            require: {  css: ['/apps/activedirectory/css/activedirectory.css'] },
			onBeforeBuild: function(){
				UNAS.SetAppOpenedWindow("Active Directory",'ActiveDirectoryAppWindow');
			},
            onClose:function(){
            	if(window.activedirectory && window.activedirectory.onClose){
            		window.activedirectory.onClose();
            		window.activedirectory.onClose = null;
            	}
            	window.activedirectory = null;
            }
        });
    };
    this.UpdateServerUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Active Directory');
    	UNAS.RemoveMenu('Active Directory');
    	UNAS.RemoveAppFromGroups('Active Directory', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('Active Directory', 'Help');
    	UNAS.RemoveAppFromApps('Active Directory');
    };
    UNAS.LoadTranslation('/apps/activedirectory/languages/Translation?v='+this.version, onChangeLanguage);
    new UNAS.Menu('UNAS_ControlPanel_Universal_Menu', this.name, this.menuIcon, 'Active Directory', '', this.ActiveDirectoryAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Active Directory', this.ActiveDirectoryAppWindow);
  	new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Universal', 'Location' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Setting', 'Location' : 0, 'Icon': this.shortcutIcon, 'Url': this.entryHelpUrl}, {});
    var onChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('Active Directory', UNAS._('Active Directory')); //translate menu
        //UNAS.SetShortcutTitle('Active Directory', UNAS._('Active Directory'));
		if (typeof self.window !== 'undefined') {
			UNAS.SetWindowTitle('ActiveDirectoryAppWindow', UNAS._('Active Directory'));
        }
	};
	UNAS.Event.addEvent('ChangeLanguage', onChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.ActiveDirectoryAppWindow, this.UpdateServerUninstall);
};

new ActiveDirectoryApp.App(); //Create app
